function _G.RGBToHex( ... )
    local hexadecimal = '#'
    
    rgb = { ... }

	for key, value in pairs( rgb ) do
		local hex = ''

		while value > 0 do
            local index = math.fmod( value, 16 ) + 1
            
            hex   = string.sub( "0123456789ABCDEF", index, index ) .. hex	
			value = math.floor( value / 16 )		
		end

		if string.len( hex ) == 0 then
			hex = '00'
        elseif string.len( hex ) == 1 then
			hex = '0' .. hex
		end

		hexadecimal = hexadecimal .. hex
	end

	return hexadecimal
end

function _G.Color( red, green, blue, alpha )
    return Turbine.UI.Color( ( alpha or 255 ) / 255, red / 255, green / 255, blue / 255 )
end